# This file defines the principal settings for this project

REPO_NAME          := OpenMSX
REPO_SHORTNAME     := OMSX
REPO_ORIGIN         = default = Please redownload from BaNaNaS.
# GRF_ID           :=

MAIN_FILENAME_SRC   = $(SRC_DIR)/themes.list
MAIN_TARGET        := openmsx.obm

# If everything is default, you don't need the rest:

# comment out those dirs which are not in use
SRC_DIR            := src
DOC_DIR            := docs
SCRIPT_DIR         := scripts
# Add any dirs which shall be bundled in a source release additionally
# to the dirs mentioned above.
EXTRA_DIRS         :=

# separate dirs for the nfo and pcx files (must be a subdir of 
# or the same as the SRC_DIR )
NFO_DIR            := $(SRC_DIR)/nfo
PCX_DIR            := $(SRC_DIR)/pcx

# Documentation files:
README_FILENAME_SRC    := $(DOC_DIR)/readme.ptxt
LICENSE_FILENAME_SRC   := $(DOC_DIR)/license.ptxt
CHANGELOG_FILENAME_SRC := $(DOC_DIR)/changelog.ptxt
DESC_FILENAME_SRC      := $(DOC_DIR)/descriptions.ptxt

# file extentions which indicate plain text source files, 
# parsable by a text editor
FILE_SRC_EXTENSIONS = list

# file extensions which indicate binary source files
FILE_INC_EXTENSIONS = mid

# Replacement strings in the source and in the documentation
# You may only change the values, not add new definitions
# (unless you know where to add them in other places, too)
REPO_TITLE_DUMMY      := {{REPO_TITLE}}
GRF_ID_DUMMY          := {{GRF_ID}}
REPO_REVISION_DUMMY   := {{REPO_REVISION}}
OUTPUT_FILENAME_DUMMY := {{FILENAME}}
GRF_MD5SUM_DUMMY      := {{GRF_MD5}}

# List of all files which will get shipped
# DOC_FILES = readme, changelog and license
# GRF_FILENAME = MAIN_FILENAME_SRC with the extention .grf
# Add any additional, not usual files here, too, including
# their relative path to the root of the repository
MIDI_FILES            := $(shell cat $(MAIN_FILENAME_SRC) | ./scripts/midifiles.py)
GRF_FILES             := $(MIDI_FILES)
BUNDLE_FILES           = $(MAIN_TARGET) $(DOC_FILES) $(MIDI_FILES)

# Files which also need cleaning:
CLEAN_ADD             := docs/changelog.txt docs/license.txt docs/readme.txt
